chmoddic(1)

NAME
chmoddic - change access rights for a directory

SYNOPSIS
chmoddic [{(-cs | - cannaserver} canna-server] {+ | -}{r|w|rw|wr}
[-G] dicname

DESCRIPTION
Add and/or remove READ/WRITE rights for the dictionary dicname. The access rights for the dictionary cannot be changed if it is being used.

OPTION

-cs cannaserver (or -cannaserver canna-server)
    Specify the server machine which has a dictionary to be changed.

-   Remove the following access rights.

+   Add the following access rights.

r   Change READ rights. w can be specified at the same time.

w   Change WRITE rights. r can be specified at the same time.

-G  Change the access rights for the user's own group dictionary.

EXAMPLE

chmoddic -r +w test
    Remove READ rights from and add WRITE rights for user dictionary test.

chmoddic +wr -G test
    Add READ/WRITE rights to group dictionary test.

SEE ALSO
lsdic(1), mkdic(1)